% % % % % % % % % % % % % % % % % 
%
% TSFS02
% Lab 2 - Lateraldynamik
% 
% Task 2:
% STEADY STATE ANALYSIS
% 
% % % % % % % % % % % % % % % % % 

clear all

%% Load data
load vehicleParameters.mat
load tireParameters.mat

load ssMeasData.mat % Steady state measurement data

L  = l1+l2;   % wheel base
R  = 27.75; % radius of roundabout
ay = 0:.05:8; % range of lateral accelerations to evaluate

%% Calculate tire forces
# Fyf = 
# Fyr = 

%% Single track with linear tire model

# alphaf = 
# alphar = 
# delta_stl = 

%% Single track with Magic Formula model
Bf = MFcoef.Bf;
Cf = MFcoef.Cf;
Df = MFcoef.Df;
Br = MFcoef.Br;
Cr = MFcoef.Cr;
Dr = MFcoef.Dr;

# alphaf = 
# alphar = 
# delta_stmf =

%% Plot
figure
% Plot measurement data in the handling diagram
plot( # , # ,'.c','markersize',5); hold on

% Plot the single track with linear tire model
plot( # , # , '--r')

% Plot the single track with Magic Formula tire model
plot( # , # ,'b')

xlabel('...')
ylabel('...')

title('Handling diagram')
legend('Measurments','Single Track: Linear','Single Track: Magic Formula','location','southwest')
